## model
Class Entry

    java.lang.Object
      model.entry.EntryDataModel
          model.Entry

    public class Entry

extends EntryDataModel

This class creates a single instance of an Entry object. The data structure of the entry is based on the class model.entry.EntryDataModel. Editing and creating a new entry is handled via the EntryUpdater and EntryInitializer objects.

Field Summary
`static java.lang.String[]` `ENTRY_FIELDS`

Constructor Summary
`protected` `Entry(EntryInitializer initializer)` Constructor creates an Entry object based on a EntryInitializer object that contains all the data to be stored in the entry.

Method Summary
`protected void` `editEntry(EntryUpdater updater)` Updates the Entry object.
`boolean` `hasDiscountId(ID query_id)` Checks if the Entry object has a given discount.
`java.lang.String` `toString()` Returns the contents of the Entry in a formatted string.

Methods inherited from class model.entry.EntryDataModel
`addDiscountId, getBirthDayOfMonth, getBirthMonthOfYear, getClub, getCountry, getDateOfBirth, getDiscountIds, getFirstName, getId, getInfo, getLastName, getPaidSum, getRank, getTotalFee, setClub, setCountry, setCountry, setDateOfBirth, setDateOfBirth, setFirstName, setInfo, setLastName, setPaidSum, setPaidSum, setRank, setRank, setTotalFee, setTotalFee`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENTRY_FIELDS

    public static final java.lang.String[] ENTRY_FIELDS

Constructor Detail

### Entry

    protected Entry(EntryInitializer initializer)
             throws GoException

  Constructor creates an Entry object based on a EntryInitializer object that contains all the data to be stored in the entry.

  Parameters:
    `initializer` - EntryInitializer object, contains entry data
  Throws:
    `GoException`

Method Detail

### editEntry

    protected void editEntry(EntryUpdater updater)
                      throws GoException

  Updates the Entry object.

  Parameters:
    `updater` - EntryUpdater instance containing new entry data
  Throws:
    `GoException`

### hasDiscountId

    public final boolean hasDiscountId(ID query_id)

  Checks if the Entry object has a given discount.

  Parameters:
    `query_id` - discount id
  Returns:
    true if the entry has a given discount, otherwise false

### toString

    public java.lang.String toString()

  Returns the contents of the Entry in a formatted string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    entry string